Bug 1308553 - The GNU C Library version 2.23
The GNU C Library version 2.23
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carlos O'Donell
ChangeAcceptedF24, SystemWideChange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 08:48 EST by Jan Kurik
Modified: 2016-04-23 10:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: glibc-2.23.1-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-23 10:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-02-15 08:48:20 EST
This is a tracking bug for Change: The GNU C Library version 2.23
For more details, see: https://fedoraproject.org//wiki/Changes/GLIBC223

Switch glibc in Fedora 24 to glibc version 2.23.
Comment 1 Jan Kurik 2016-02-24 09:26:10 EST
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.
Comment 2 Carlos O'Donell 2016-02-25 11:12:02 EST
The work for this is done. I'm merging to F24 branch today.
Comment 3 Carlos O'Donell 2016-02-25 11:12:49 EST
To be clear, there is only a small delta of work, which is to rebase F24 on 2.23 to give ABI assurance for the release. We have otherwise been trakcing glibc master for the entire duration of rawhide and making sure everything keeps working right up to the last minute.
Comment 4 Carlos O'Donell 2016-02-25 16:57:15 EST
This is now live:

commit 9ee5a028debee12df0e87a1acfa42b550a58b4c4
Author: Carlos O'Donell <carlos@systemhalted.org>
Date:   Thu Feb 25 16:55:08 2016 -0500

    Update F24 to glibc 2.23.1 official release.
    
    - Upgrading to an official release gives Fedora ABI guarantees
      from the community.
Comment 5 Jan Kurik 2016-04-20 11:01:37 EDT
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Note You need to log in before you can comment on or make changes to this bug.